Open CASCADE Technology: GeomTools_SurfaceSet Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
GeomTools_SurfaceSet Class Reference

Stores a set of Surfaces from Geom. More...

`#include <GeomTools_SurfaceSet.hxx>`

## Public Member Functions
| GeomTools_SurfaceSet ()
| Returns an empty set of Surfaces. More...
void | Clear ()
| Clears the content of the set. More...
Standard_Integer | Add (const Handle< Geom_Surface > &S)
| Incorporate a new Surface in the set and returns its index. More...
Handle< Geom_Surface > | Surface (const Standard_Integer I) const
| Returns the Surface of index . More...
Standard_Integer | Index (const Handle< Geom_Surface > &S) const
| Returns the index of <L>. More...
void | Dump (Standard_OStream &OS) const
| Dumps the content of me on the stream <OS>. More...
void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <OS> in a format that can be read back by Read. More...
void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <IS>. me is first cleared. More...
void | SetProgress (const Handle< Message_ProgressIndicator > &PR)
Handle< Message_ProgressIndicator > | GetProgress () const

## Static Public Member Functions
static void | PrintSurface (const Handle< Geom_Surface > &S, Standard_OStream &OS, const Standard_Boolean compact=Standard_False)
| Dumps the surface on the stream, if compact is True use the compact format that can be read back. More...
static Standard_IStream & | ReadSurface (Standard_IStream &IS, Handle< Geom_Surface > &S)
| Reads the surface from the stream. The surface is assumed to have been writtent with the Print method (compact = True). More...

## Detailed Description

Stores a set of Surfaces from Geom.

## Constructor & Destructor Documentation

GeomTools_SurfaceSet::GeomTools_SurfaceSet | ( |  | ) |

Returns an empty set of Surfaces.

## Member Function Documentation

Standard_Integer GeomTools_SurfaceSet::Add | ( | const Handle< Geom_Surface > & | S | ) |

Incorporate a new Surface in the set and returns its index.

void GeomTools_SurfaceSet::Clear | ( |  | ) |

Clears the content of the set.

void GeomTools_SurfaceSet::Dump | ( | Standard_OStream & | OS | ) | const

Dumps the content of me on the stream <OS>.

Handle< Message_ProgressIndicator > GeomTools_SurfaceSet::GetProgress | ( |  | ) | const

Standard_Integer GeomTools_SurfaceSet::Index | ( | const Handle< Geom_Surface > & | S | ) | const

Returns the index of <L>.

static void GeomTools_SurfaceSet::PrintSurface | ( | const Handle< Geom_Surface > & | S,
|  | Standard_OStream & | OS,
|  | const Standard_Boolean | compact = `Standard_False`
| ) |  |
| static

Dumps the surface on the stream, if compact is True use the compact format that can be read back.

void GeomTools_SurfaceSet::Read | ( | Standard_IStream & | IS | ) |

Reads the content of me from the stream <IS>. me is first cleared.

static Standard_IStream& GeomTools_SurfaceSet::ReadSurface | ( | Standard_IStream & | IS,
|  | Handle< Geom_Surface > & | S
| ) |  |
| static

Reads the surface from the stream. The surface is assumed to have been writtent with the Print method (compact = True).

void GeomTools_SurfaceSet::SetProgress | ( | const Handle< Message_ProgressIndicator > & | PR | ) |

Handle< Geom_Surface > GeomTools_SurfaceSet::Surface | ( | const Standard_Integer | I | ) | const

Returns the Surface of index .

void GeomTools_SurfaceSet::Write | ( | Standard_OStream & | OS | ) | const

Writes the content of me on the stream <OS> in a format that can be read back by Read.

The documentation for this class was generated from the following file:

- GeomTools_SurfaceSet.hxx